{"openapi":"3.1.0","info":{"title":"Feedance API (Public)","description":"Feedance API - E-commerce Feed Management System","version":"1.0.0"},"paths":{"/users/me":{"get":{"tags":["users"],"summary":"Public Read Users Me","description":"Return the authenticated user.","operationId":"public_read_users_me_users_me_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}},"security":[{"HTTPBearer":[]}]}},"/users/":{"get":{"tags":["users"],"summary":"Public Read Users","description":"List users (admin only).","operationId":"public_read_users_users__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserResponse"},"title":"Response Public Read Users Users  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/{user_id}":{"get":{"tags":["users"],"summary":"Public Read User","description":"Retrieve a user by identifier.","operationId":"public_read_user_users__user_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"integer","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/brands/":{"get":{"tags":["brands"],"summary":"Public Read Brands","description":"List brands with optional soft-delete visibility.","operationId":"public_read_brands_brands__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BrandResponse"},"title":"Response Public Read Brands Brands  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/brands/my-brands":{"get":{"tags":["brands"],"summary":"Public Read My Brands","description":"Return brands that belong to the authenticated user.","operationId":"public_read_my_brands_brands_my_brands_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BrandResponse"},"title":"Response Public Read My Brands Brands My Brands Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/brands/{brand_id}":{"get":{"tags":["brands"],"summary":"Public Read Brand","description":"Retrieve a single brand by identifier.","operationId":"public_read_brand_brands__brand_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"path","required":true,"schema":{"type":"integer","title":"Brand Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/products/":{"get":{"tags":["products"],"summary":"Public Read Products","description":"List products with optional search and filter capabilities.","operationId":"public_read_products_products__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"feed_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feed Id"}},{"name":"brand","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Brand"}},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/products/legacy":{"post":{"tags":["products"],"summary":"Public Read Products Legacy","description":"Legacy DataTables-compatible product listing.","operationId":"public_read_products_legacy_products_legacy_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductLegacyResponse"}}}}},"security":[{"HTTPBearer":[]}]}},"/products/{product_id}":{"get":{"tags":["products"],"summary":"Public Read Product","description":"Retrieve a product by identifier.","operationId":"public_read_product_products__product_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"integer","title":"Product Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/feeds/":{"get":{"tags":["feeds"],"summary":"Public Read Feeds","description":"List feeds, optionally filtered by brand or type.","operationId":"public_read_feeds_feeds__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"feed_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Feed Type"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeedResponse"},"title":"Response Public Read Feeds Feeds  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/feeds/{feed_id}":{"get":{"tags":["feeds"],"summary":"Public Read Feed","description":"Retrieve a feed by identifier.","operationId":"public_read_feed_feeds__feed_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"feed_id","in":"path","required":true,"schema":{"type":"integer","title":"Feed Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/channels/":{"get":{"tags":["channels"],"summary":"Public Read Channels","description":"List available channels.","operationId":"public_read_channels_channels__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelResponse"},"title":"Response Public Read Channels Channels  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/channels/{channel_id}":{"get":{"tags":["channels"],"summary":"Public Read Channel","description":"Retrieve a channel by identifier.","operationId":"public_read_channel_channels__channel_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"channel_id","in":"path","required":true,"schema":{"type":"integer","title":"Channel Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/templates/":{"get":{"tags":["templates"],"summary":"Public Read Templates","description":"List templates with optional filters.","operationId":"public_read_templates_templates__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Channel Id"}},{"name":"template_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Template Type"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateResponse"},"title":"Response Public Read Templates Templates  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/templates/{template_id}":{"get":{"tags":["templates"],"summary":"Public Read Template","description":"Retrieve a template by identifier.","operationId":"public_read_template_templates__template_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"template_id","in":"path","required":true,"schema":{"type":"integer","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/notifications/":{"get":{"tags":["notifications"],"summary":"Public Read Notifications","description":"List notifications with optional filters.","operationId":"public_read_notifications_notifications__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"unread_only","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Unread Only"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationResponse"},"title":"Response Public Read Notifications Notifications  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/notifications/{notification_id}":{"get":{"tags":["notifications"],"summary":"Public Read Notification","description":"Retrieve a notification by identifier.","operationId":"public_read_notification_notifications__notification_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"notification_id","in":"path","required":true,"schema":{"type":"integer","title":"Notification Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/feed-channels/":{"get":{"tags":["feed-channels"],"summary":"Public Read Feed Channels","description":"List feed channels with optional filters.","operationId":"public_read_feed_channels_feed_channels__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"feed_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feed Id"}},{"name":"channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Channel Id"}},{"name":"key_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeedChannelResponse"},"title":"Response Public Read Feed Channels Feed Channels  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/feed-channels/{feed_channel_id}":{"get":{"tags":["feed-channels"],"summary":"Public Read Feed Channel","description":"Retrieve a feed channel by id.","operationId":"public_read_feed_channel_feed_channels__feed_channel_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"feed_channel_id","in":"path","required":true,"schema":{"type":"integer","title":"Feed Channel Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedChannelResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-attributes/":{"get":{"tags":["product-attributes"],"summary":"Public Read Product Attributes","description":"List product attribute overrides with optional filters.","operationId":"public_read_product_attributes_product_attributes__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Product Id"}},{"name":"feed_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feed Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductAttributeResponse"},"title":"Response Public Read Product Attributes Product Attributes  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-attributes/{product_attribute_id}":{"get":{"tags":["product-attributes"],"summary":"Public Read Product Attribute","description":"Retrieve a product attribute override by id.","operationId":"public_read_product_attribute_product_attributes__product_attribute_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_attribute_id","in":"path","required":true,"schema":{"type":"integer","title":"Product Attribute Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductAttributeResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-creatives/":{"get":{"tags":["product-creatives"],"summary":"Public Read Product Creatives","description":"List product creatives with optional filters.","operationId":"public_read_product_creatives_product_creatives__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"feed_channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feed Channel Id"}},{"name":"product_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Product Id"}},{"name":"generation_request_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Generation Request Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductCreativeResponse"},"title":"Response Public Read Product Creatives Product Creatives  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-creatives/{product_creative_id}":{"get":{"tags":["product-creatives"],"summary":"Public Read Product Creative","description":"Retrieve a product creative.","operationId":"public_read_product_creative_product_creatives__product_creative_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_creative_id","in":"path","required":true,"schema":{"type":"integer","title":"Product Creative Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCreativeResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-details/":{"get":{"tags":["product-details"],"summary":"Public Read Product Details","description":"List product detail snapshots with optional filters.","operationId":"public_read_product_details_product_details__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Product Id"}},{"name":"latest","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Latest"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductDetailResponse"},"title":"Response Public Read Product Details Product Details  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-details/{product_detail_id}":{"get":{"tags":["product-details"],"summary":"Public Read Product Detail","description":"Retrieve a product detail snapshot.","operationId":"public_read_product_detail_product_details__product_detail_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_detail_id","in":"path","required":true,"schema":{"type":"integer","title":"Product Detail Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/ai-insights/":{"get":{"tags":["ai-insights"],"summary":"Public Read Ai Insights","operationId":"public_read_ai_insights_ai_insights__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"run_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Run Id"}},{"name":"priority","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Priority"}},{"name":"open_only","in":"query","required":false,"schema":{"type":"boolean","description":"Only insights not marked as done","default":false,"title":"Open Only"},"description":"Only insights not marked as done"},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AiInsightResponse"},"title":"Response Public Read Ai Insights Ai Insights  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/ai-insights/{insight_id}":{"get":{"tags":["ai-insights"],"summary":"Public Read Ai Insight","operationId":"public_read_ai_insight_ai_insights__insight_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"insight_id","in":"path","required":true,"schema":{"type":"integer","title":"Insight Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiInsightResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/ai-insight-runs/":{"get":{"tags":["ai-insights"],"summary":"Public Read Ai Insight Runs","operationId":"public_read_ai_insight_runs_ai_insight_runs__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AiInsightRunResponse"},"title":"Response Public Read Ai Insight Runs Ai Insight Runs  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/ai-insight-runs/{run_id}":{"get":{"tags":["ai-insights"],"summary":"Public Read Ai Insight Run","operationId":"public_read_ai_insight_run_ai_insight_runs__run_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"run_id","in":"path","required":true,"schema":{"type":"integer","title":"Run Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiInsightRunResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/price-wars/":{"get":{"tags":["price-wars"],"summary":"Public Read Price Wars","operationId":"public_read_price_wars_price_wars__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"feed_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feed Id"}},{"name":"product_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Product Id"}},{"name":"position","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Position"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PriceWarResponse"},"title":"Response Public Read Price Wars Price Wars  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/price-wars/{price_war_id}":{"get":{"tags":["price-wars"],"summary":"Public Read Price War","operationId":"public_read_price_war_price_wars__price_war_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"price_war_id","in":"path","required":true,"schema":{"type":"integer","title":"Price War Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceWarResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/price-competitions/":{"get":{"tags":["price-wars"],"summary":"Public Read Price Competitions","operationId":"public_read_price_competitions_price_competitions__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"product_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Product Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductPriceCompetitionResponse"},"title":"Response Public Read Price Competitions Price Competitions  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/price-competitions/{product_price_competition_id}":{"get":{"tags":["price-wars"],"summary":"Public Read Price Competition","operationId":"public_read_price_competition_price_competitions__product_price_competition_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_price_competition_id","in":"path","required":true,"schema":{"type":"integer","title":"Product Price Competition Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductPriceCompetitionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-ai-suggestions/":{"get":{"tags":["product-ai-suggestions"],"summary":"Public Read Product Ai Suggestions","operationId":"public_read_product_ai_suggestions_product_ai_suggestions__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"feed_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feed Id"}},{"name":"product_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Product Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductAiSuggestionResponse"},"title":"Response Public Read Product Ai Suggestions Product Ai Suggestions  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/product-ai-suggestions/{product_ai_suggestion_id}":{"get":{"tags":["product-ai-suggestions"],"summary":"Public Read Product Ai Suggestion","operationId":"public_read_product_ai_suggestion_product_ai_suggestions__product_ai_suggestion_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"product_ai_suggestion_id","in":"path","required":true,"schema":{"type":"integer","title":"Product Ai Suggestion Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductAiSuggestionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichments/":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichments","operationId":"public_read_enrichments_enrichments__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Creator, Catcher or Segmentator","title":"Type"},"description":"Creator, Catcher or Segmentator"},{"name":"is_active","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Active"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnrichmentResponse"},"title":"Response Public Read Enrichments Enrichments  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichments/{enrichment_id}":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichment","operationId":"public_read_enrichment_enrichments__enrichment_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"enrichment_id","in":"path","required":true,"schema":{"type":"integer","title":"Enrichment Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrichmentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichment-options/":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichment Options","operationId":"public_read_enrichment_options_enrichment_options__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"enrichment_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Enrichment Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnrichmentOptionResponse"},"title":"Response Public Read Enrichment Options Enrichment Options  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichment-options/{enrichment_option_id}":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichment Option","operationId":"public_read_enrichment_option_enrichment_options__enrichment_option_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"enrichment_option_id","in":"path","required":true,"schema":{"type":"integer","title":"Enrichment Option Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrichmentOptionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichment-settings/":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichment Settings","operationId":"public_read_enrichment_settings_enrichment_settings__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"slug","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Enrichment slug, e.g. stock-alert","title":"Slug"},"description":"Enrichment slug, e.g. stock-alert"},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnrichmentSettingResponse"},"title":"Response Public Read Enrichment Settings Enrichment Settings  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichment-settings/{setting_id}":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichment Setting","operationId":"public_read_enrichment_setting_enrichment_settings__setting_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"setting_id","in":"path","required":true,"schema":{"type":"integer","title":"Setting Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrichmentSettingResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichment-interests/":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichment Interests","operationId":"public_read_enrichment_interests_enrichment_interests__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"enrichment_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Enrichment Id"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnrichmentInterestResponse"},"title":"Response Public Read Enrichment Interests Enrichment Interests  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/enrichment-interests/{enrichment_interest_id}":{"get":{"tags":["enrichments"],"summary":"Public Read Enrichment Interest","operationId":"public_read_enrichment_interest_enrichment_interests__enrichment_interest_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"enrichment_interest_id","in":"path","required":true,"schema":{"type":"integer","title":"Enrichment Interest Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrichmentInterestResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/discount-impact-runs/":{"get":{"tags":["enrichments"],"summary":"Public Read Discount Impact Runs","operationId":"public_read_discount_impact_runs_discount_impact_runs__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DiscountImpactRunResponse"},"title":"Response Public Read Discount Impact Runs Discount Impact Runs  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/discount-impact-runs/{run_id}":{"get":{"tags":["enrichments"],"summary":"Public Read Discount Impact Run","operationId":"public_read_discount_impact_run_discount_impact_runs__run_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"run_id","in":"path","required":true,"schema":{"type":"integer","title":"Run Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscountImpactRunResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stock-alerts-daily/":{"get":{"tags":["enrichments"],"summary":"Public Read Stock Alerts Daily","operationId":"public_read_stock_alerts_daily_stock_alerts_daily__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"date_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"description":"First day, inclusive","title":"Date From"},"description":"First day, inclusive"},{"name":"date_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"description":"Last day, inclusive","title":"Date To"},"description":"Last day, inclusive"},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StockAlertDailyResponse"},"title":"Response Public Read Stock Alerts Daily Stock Alerts Daily  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/holiday-events/":{"get":{"tags":["enrichments"],"summary":"Public Read Holiday Events","operationId":"public_read_holiday_events_holiday_events__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"brand_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"}},{"name":"is_active","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Active"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Number of records to skip","default":0,"title":"Skip"},"description":"Number of records to skip"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"description":"Maximum number of records to return","default":100,"title":"Limit"},"description":"Maximum number of records to return"},{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","description":"Include soft-deleted records","default":false,"title":"Include Deleted"},"description":"Include soft-deleted records"},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated list of fields to order by","title":"Order By"},"description":"Comma-separated list of fields to order by"},{"name":"order_direction","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortDirection","description":"Sort direction applied to all order_by fields","default":"asc"},"description":"Sort direction applied to all order_by fields"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HolidayEventResponse"},"title":"Response Public Read Holiday Events Holiday Events  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/holiday-events/{holiday_event_id}":{"get":{"tags":["enrichments"],"summary":"Public Read Holiday Event","operationId":"public_read_holiday_event_holiday_events__holiday_event_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"holiday_event_id","in":"path","required":true,"schema":{"type":"integer","title":"Holiday Event Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HolidayEventResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AiInsightResponse":{"properties":{"insight_id":{"type":"integer","title":"Insight Id"},"run_id":{"type":"integer","title":"Run Id"},"brand_id":{"type":"integer","title":"Brand Id"},"sort_order":{"type":"integer","title":"Sort Order"},"priority":{"type":"string","title":"Priority"},"categories":{"title":"Categories"},"sources":{"title":"Sources"},"action":{"type":"string","title":"Action"},"product_count":{"type":"integer","title":"Product Count"},"title":{"title":"Title"},"body":{"title":"Body"},"done_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Done Date"},"done_user_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Done User Id"},"feedback":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feedback"},"feedback_user_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feedback User Id"},"feedback_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Feedback Date"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"}},"additionalProperties":true,"type":"object","required":["insight_id","run_id","brand_id","sort_order","priority","categories","sources","action","product_count","title","body"],"title":"AiInsightResponse"},"AiInsightRunResponse":{"properties":{"run_id":{"type":"integer","title":"Run Id"},"brand_id":{"type":"integer","title":"Brand Id"},"status":{"type":"string","title":"Status"},"model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Model"},"input_tokens":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Input Tokens"},"output_tokens":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Output Tokens"},"summary":{"anyOf":[{},{"type":"null"}],"title":"Summary"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"emailed_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Emailed Date"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"}},"additionalProperties":true,"type":"object","required":["run_id","brand_id","status"],"title":"AiInsightRunResponse"},"BrandResponse":{"properties":{"type":{"type":"string","title":"Type","default":"ecommerce"},"enable_stock_feed":{"type":"boolean","title":"Enable Stock Feed"},"video_template_id":{"type":"string","title":"Video Template Id","default":"0bd4d43b-7b72-4f3e-9630-aaee0b5d1028"},"user_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"User Id"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"slug":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Slug"},"logo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Logo"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Url"},"enable_hook":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Enable Hook"},"ga_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Ga Enabled"},"ga_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Ga Connected"},"ga_property_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Ga Property Id"},"ga_feed_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Ga Feed Id"},"ga_mapping_parameter":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ga Mapping Parameter"},"ga_last_execution_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Ga Last Execution Date"},"ga_account":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ga Account"},"ga_property":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ga Property"},"ga_view":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ga View"},"ga_access_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ga Access Token"},"key_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Id"},"is_deleted":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Deleted"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"last_execution_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Execution Date"},"slack_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Slack Enabled"},"slack_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Slack Connected"},"slack_webhook_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Slack Webhook Url"},"slack_channel":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Slack Channel"},"google_chat_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Google Chat Enabled"},"google_chat_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Google Chat Connected"},"google_chat_webhook_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Chat Webhook Url"},"credit":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Credit"},"credit_reset_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Credit Reset Date"},"is_demo":{"type":"boolean","title":"Is Demo","default":false},"ga_item_dimension":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ga Item Dimension"},"ticimax_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Ticimax Enabled"},"ticimax_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Ticimax Connected"},"ticimax_domain_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ticimax Domain Url"},"pricetrack_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Pricetrack Enabled"},"pricetrack_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Pricetrack Connected"},"meta_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Meta Enabled"},"meta_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Meta Connected"},"meta_ad_account_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Meta Ad Account Id"},"meta_last_execution_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Meta Last Execution Date"},"shopify_enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shopify Enabled"},"shopify_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shopify Connected"},"shopify_shop_domain":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shopify Shop Domain"},"shopify_shop_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Shopify Shop Id"},"shopify_installed_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Shopify Installed Date"},"shopify_uninstalled_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Shopify Uninstalled Date"},"shopify_last_execution_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Shopify Last Execution Date"},"google_ads_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Google Ads Connected"},"google_ads_customer_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Ads Customer Id"},"google_ads_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Ads Email"},"google_ads_connected_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Google Ads Connected Date"},"google_merchant_connected":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Google Merchant Connected"},"google_merchant_account_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Merchant Account Id"},"google_merchant_email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Merchant Email"},"google_merchant_connected_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Google Merchant Connected Date"},"brand_id":{"type":"integer","title":"Brand Id"}},"additionalProperties":true,"type":"object","required":["enable_stock_feed","brand_id"],"title":"BrandResponse","description":"Brand returned from the API layer."},"ChannelResponse":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"slug":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Slug"},"logo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Logo"},"channel_id":{"type":"integer","title":"Channel Id"}},"additionalProperties":true,"type":"object","required":["channel_id"],"title":"ChannelResponse"},"DiscountImpactRunResponse":{"properties":{"run_id":{"type":"integer","title":"Run Id"},"brand_id":{"type":"integer","title":"Brand Id"},"status":{"type":"string","title":"Status"},"report":{"anyOf":[{},{"type":"null"}],"title":"Report"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"}},"additionalProperties":true,"type":"object","required":["run_id","brand_id","status"],"title":"DiscountImpactRunResponse"},"EnrichmentInterestResponse":{"properties":{"enrichment_interest_id":{"type":"integer","title":"Enrichment Interest Id"},"enrichment_id":{"type":"integer","title":"Enrichment Id"},"brand_id":{"type":"integer","title":"Brand Id"},"user_id":{"type":"integer","title":"User Id"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"}},"additionalProperties":true,"type":"object","required":["enrichment_interest_id","enrichment_id","brand_id","user_id"],"title":"EnrichmentInterestResponse"},"EnrichmentOptionResponse":{"properties":{"enrichment_option_id":{"type":"integer","title":"Enrichment Option Id"},"enrichment_id":{"type":"integer","title":"Enrichment Id"},"owner_type":{"type":"string","title":"Owner Type"},"owner_id":{"type":"integer","title":"Owner Id"},"key":{"type":"string","title":"Key"},"value":{"type":"string","title":"Value"},"is_deleted":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Deleted"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"deleted_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Deleted Date"}},"additionalProperties":true,"type":"object","required":["enrichment_option_id","enrichment_id","owner_type","owner_id","key","value"],"title":"EnrichmentOptionResponse"},"EnrichmentResponse":{"properties":{"enrichment_id":{"type":"integer","title":"Enrichment Id"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"slug":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Slug"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image Url"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"},"tags":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tags"},"is_active":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Active"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"}},"additionalProperties":true,"type":"object","required":["enrichment_id"],"title":"EnrichmentResponse"},"EnrichmentSettingResponse":{"properties":{"setting_id":{"type":"integer","title":"Setting Id"},"brand_id":{"type":"integer","title":"Brand Id"},"slug":{"type":"string","title":"Slug"},"settings":{"title":"Settings"},"refreshed_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Refreshed Date"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"updated_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated Date"}},"additionalProperties":true,"type":"object","required":["setting_id","brand_id","slug","settings"],"title":"EnrichmentSettingResponse"},"FeedChannelResponse":{"properties":{"feed_id":{"type":"integer","title":"Feed Id"},"channel_id":{"type":"integer","title":"Channel Id"},"final_url":{"type":"string","title":"Final Url"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"export_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Export Type"},"rule":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Rule"},"channel_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Channel Url"},"key_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Id"},"format_data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Format Data"},"google_sheet_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Sheet Id"},"google_sheet_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Sheet Name"},"export_fields":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Export Fields"},"is_deleted":{"type":"boolean","title":"Is Deleted","default":false},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"updated_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated Date"},"deleted_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Deleted Date"},"last_execution_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Execution Date"},"use_new_creative":{"type":"boolean","title":"Use New Creative","default":false},"feed_channel_id":{"type":"integer","title":"Feed Channel Id"}},"additionalProperties":true,"type":"object","required":["feed_id","channel_id","final_url","feed_channel_id"],"title":"FeedChannelResponse"},"FeedResponse":{"properties":{"parent_feed_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Parent Feed Id"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Url"},"stock_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Stock Url"},"google_sheet_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Sheet Id"},"google_sheet_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Google Sheet Name"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"},"columns":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Columns"},"currency_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Currency Id","default":0},"product_primary_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Primary Key"},"store_params":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Store Params"},"frequency":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Frequency"},"cron_expression":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cron Expression"},"key_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Id"},"is_deleted":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Deleted"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"deleted_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Deleted Date"},"last_update":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Update"},"last_execution_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Execution Date"},"ga_last_execution_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Ga Last Execution Date"},"parent_custom_map_0":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Custom Map 0"},"parent_custom_map_1":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Custom Map 1"},"parent_custom_map_2":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Custom Map 2"},"parent_custom_map_3":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Custom Map 3"},"parent_custom_map_4":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Custom Map 4"},"stock_feed_map":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Stock Feed Map"},"feed_id":{"type":"integer","title":"Feed Id"},"brand_id":{"type":"integer","title":"Brand Id"},"rows":{"type":"string","title":"Rows"}},"additionalProperties":true,"type":"object","required":["feed_id","brand_id","rows"],"title":"FeedResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"HolidayEventResponse":{"properties":{"holiday_event_id":{"type":"integer","title":"Holiday Event Id"},"brand_id":{"type":"integer","title":"Brand Id"},"code":{"type":"string","title":"Code"},"name":{"type":"string","title":"Name"},"rule":{"type":"string","title":"Rule"},"event_month":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Event Month"},"event_day":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Event Day"},"days_before":{"type":"integer","title":"Days Before"},"days_after":{"type":"integer","title":"Days After"},"categories":{"title":"Categories"},"is_active":{"type":"boolean","title":"Is Active"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"}},"additionalProperties":true,"type":"object","required":["holiday_event_id","brand_id","code","name","rule","days_before","days_after","categories","is_active"],"title":"HolidayEventResponse"},"NotificationResponse":{"properties":{"brand_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"link":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Link"},"key_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Id"},"is_read":{"type":"boolean","title":"Is Read","default":false},"is_deleted":{"type":"boolean","title":"Is Deleted","default":false},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"deleted_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Deleted Date"},"read_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Read Date"},"notification_id":{"type":"integer","title":"Notification Id"}},"additionalProperties":true,"type":"object","required":["notification_id"],"title":"NotificationResponse"},"PriceWarResponse":{"properties":{"price_war_id":{"type":"integer","title":"Price War Id"},"brand_id":{"type":"integer","title":"Brand Id"},"feed_id":{"type":"integer","title":"Feed Id"},"product_id":{"type":"integer","title":"Product Id"},"barcode":{"type":"string","title":"Barcode"},"position":{"type":"string","title":"Position"},"previous_position":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Previous Position"},"price":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Price"},"min_competitor_price":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Min Competitor Price"},"competitor_count":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Competitor Count"},"cheapest_site":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cheapest Site"},"checked_date":{"type":"string","format":"date-time","title":"Checked Date"}},"additionalProperties":true,"type":"object","required":["price_war_id","brand_id","feed_id","product_id","barcode","position","checked_date"],"title":"PriceWarResponse"},"ProductAiSuggestionResponse":{"properties":{"product_ai_suggestion_id":{"type":"integer","title":"Product Ai Suggestion Id"},"product_id":{"type":"integer","title":"Product Id"},"feed_id":{"type":"integer","title":"Feed Id"},"queried_by_user_id":{"type":"integer","title":"Queried By User Id"},"response":{"title":"Response"},"resolved_keys":{"title":"Resolved Keys"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"updated_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated Date"}},"additionalProperties":true,"type":"object","required":["product_ai_suggestion_id","product_id","feed_id","queried_by_user_id","response"],"title":"ProductAiSuggestionResponse"},"ProductAttributeResponse":{"properties":{"product_id":{"type":"integer","title":"Product Id"},"feed_id":{"type":"integer","title":"Feed Id"},"override":{"type":"boolean","title":"Override"},"is_deleted":{"type":"boolean","title":"Is Deleted"},"created_date":{"type":"string","format":"date-time","title":"Created Date"},"created_by_id":{"type":"integer","title":"Created By Id"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"updated_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated Date"},"updated_by_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Updated By Id"},"deleted_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Deleted Date"},"deleted_by_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Deleted By Id"},"link":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Link"},"image_link":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image Link"},"color":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Color"},"size":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Size"},"material":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Material"},"product_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Type"},"category_hierarchy":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Category Hierarchy"},"fb_product_category":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fb Product Category"},"field_history":{"anyOf":[{},{"type":"null"}],"title":"Field History"},"product_attribute_id":{"type":"integer","title":"Product Attribute Id"}},"additionalProperties":true,"type":"object","required":["product_id","feed_id","override","is_deleted","created_date","created_by_id","product_attribute_id"],"title":"ProductAttributeResponse"},"ProductCreativeResponse":{"properties":{"product_id":{"type":"integer","title":"Product Id"},"feed_channel_id":{"type":"integer","title":"Feed Channel Id"},"generation_request_id":{"type":"string","title":"Generation Request Id"},"code":{"type":"string","title":"Code"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Url"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"is_deleted":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Deleted","default":false},"template_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Template Id"},"source_values":{"anyOf":[{},{"type":"null"}],"title":"Source Values"},"product_creative_id":{"type":"integer","title":"Product Creative Id"}},"additionalProperties":true,"type":"object","required":["product_id","feed_channel_id","generation_request_id","code","product_creative_id"],"title":"ProductCreativeResponse"},"ProductDetailResponse":{"properties":{"product_id":{"type":"integer","title":"Product Id"},"created_date":{"type":"string","format":"date-time","title":"Created Date"},"is_deleted":{"type":"boolean","title":"Is Deleted"},"price":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Price"},"sale_price":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sale Price"},"marketplace_price":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Marketplace Price"},"product_detail_id":{"type":"integer","title":"Product Detail Id"}},"additionalProperties":true,"type":"object","required":["product_id","created_date","is_deleted","product_detail_id"],"title":"ProductDetailResponse"},"ProductLegacyResponse":{"properties":{"data":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Data"},"pagination":{"type":"string","title":"Pagination"},"version":{"type":"string","title":"Version"},"recordsFiltered":{"type":"integer","title":"Recordsfiltered"},"recordsTotal":{"type":"integer","title":"Recordstotal"},"draw":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Draw"}},"additionalProperties":true,"type":"object","required":["data","pagination","version","recordsFiltered","recordsTotal"],"title":"ProductLegacyResponse"},"ProductPriceCompetitionResponse":{"properties":{"product_price_competition_id":{"type":"integer","title":"Product Price Competition Id"},"product_id":{"type":"integer","title":"Product Id"},"brand_key":{"type":"string","title":"Brand Key"},"barcode":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Barcode"},"response":{"title":"Response"},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"updated_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated Date"}},"additionalProperties":true,"type":"object","required":["product_price_competition_id","product_id","brand_key","response"],"title":"ProductPriceCompetitionResponse"},"ProductResponse":{"properties":{"product_id":{"type":"integer","title":"Product Id"},"feed_id":{"type":"integer","title":"Feed Id"},"primary_id":{"type":"string","title":"Primary Id"},"created_date":{"type":"string","title":"Created Date"},"is_deleted":{"type":"boolean","title":"Is Deleted"},"type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"link":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Link"},"brand":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Brand"},"image_link":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image Link"},"additional_image_link":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Additional Image Link"},"color":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Color"},"quantity":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Quantity"},"id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id"},"gtin":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gtin"},"category_hierarchy":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Category Hierarchy"},"sale_price":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Sale Price"},"price":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Price"},"price_trend":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Price Trend"},"currency":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Currency"},"availability":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Availability"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"condition":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Condition"},"stock_model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Stock Model"},"stock_quantity":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Stock Quantity"},"product_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Type"},"make":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Make"},"model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Model"},"year":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Year"},"mileage_value":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Mileage Value"},"mileage_unit":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Mileage Unit"},"transmission":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Transmission"},"fuel_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fuel Type"},"body_style":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Body Style"},"drivetrain":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Drivetrain"},"vin":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vin"},"date_first_on_lot":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Date First On Lot"},"state_of_vehicle":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"State Of Vehicle"},"latitude":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Latitude"},"longitude":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Longitude"},"dealer_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Dealer Id"},"variant":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Variant"},"car_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Car Type"},"status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"},"update_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Update Date"},"deleted_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Deleted Date"},"discount_response":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Discount Response"},"stock_alert":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Stock Alert"},"stock_last_quantity":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Stock Last Quantity"},"stock_back_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Stock Back Date"},"shipping_info":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipping Info"},"holiday_timer":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Holiday Timer"},"ios_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ios Url"},"ios_app_store_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ios App Store Id"},"ios_app_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ios App Name"},"android_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Android Url"},"android_package":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Android Package"},"android_app_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Android App Name"}},"additionalProperties":true,"type":"object","required":["product_id","feed_id","primary_id","created_date","is_deleted"],"title":"ProductResponse"},"SortDirection":{"type":"string","enum":["asc","desc"],"title":"SortDirection"},"StockAlertDailyResponse":{"properties":{"brand_id":{"type":"integer","title":"Brand Id"},"day":{"type":"string","format":"date","title":"Day"},"went_out":{"type":"integer","title":"Went Out"},"came_back":{"type":"integer","title":"Came Back"}},"additionalProperties":true,"type":"object","required":["brand_id","day","went_out","came_back"],"title":"StockAlertDailyResponse"},"TemplateResponse":{"properties":{"type":{"type":"string","title":"Type"},"is_remove_background":{"type":"boolean","title":"Is Remove Background","default":true},"brand_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Brand Id"},"channel_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Channel Id"},"font_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Font Id"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"logo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Logo"},"background_color":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Background Color"},"text_color":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Text Color"},"template_remote_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Template Remote Id"},"image":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"price":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Price"},"sale_price":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sale Price"},"currency":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Currency"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"origin_airport":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Origin Airport"},"destination_airport":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Destination Airport"},"home_team_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Home Team Name"},"home_team_logo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Home Team Logo"},"away_team_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Away Team Name"},"away_team_logo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Away Team Logo"},"start_date":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Date"},"end_date":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"End Date"},"home_player_image":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Home Player Image"},"away_player_image":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Away Player Image"},"markets":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Markets"},"event_start_date":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Event Start Date"},"event_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Event Name"},"thumbnail":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail"},"call_to_action":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Call To Action"},"key_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Key Id","default":"0bd4d43b-7b72-4f3e-9630-aaee0b5d1028"},"sale_price_check":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Sale Price Check","default":true},"generate_creative_column_changes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Generate Creative Column Changes"},"is_deleted":{"type":"boolean","title":"Is Deleted","default":false},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"deleted_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Deleted Date"},"updated_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated Date"},"image_fitting":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Image Fitting","default":"cover"},"model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Model"},"fuel_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Fuel Type"},"vehicle_transmission":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vehicle Transmission"},"mileage":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Mileage"},"variant":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Variant"},"feed_channel_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feed Channel Id"},"product_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Product Id"},"is_ai_template":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Ai Template","default":false},"ai_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ai Type"},"ai_model":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ai Model"},"ai_prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ai Prompt"},"ai_aspect":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ai Aspect"},"ai_duration":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ai Duration"},"background_image":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Background Image"},"ai_estimated_cost":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Ai Estimated Cost"},"ai_result_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ai Result Url"},"template_id":{"type":"integer","title":"Template Id"}},"additionalProperties":true,"type":"object","required":["type","template_id"],"title":"TemplateResponse"},"UserResponse":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"surname":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Surname"},"email":{"anyOf":[{"type":"string","format":"email"},{"type":"null"}],"title":"Email"},"phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone"},"photo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Photo"},"is_two_step":{"type":"boolean","title":"Is Two Step","default":false},"entrance_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Entrance Code"},"level":{"type":"integer","title":"Level","default":1},"key_id":{"type":"string","title":"Key Id"},"is_active":{"type":"boolean","title":"Is Active","default":false},"is_deleted":{"type":"boolean","title":"Is Deleted","default":false},"created_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Date"},"updated_date":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"
[...]
